import { BaseTaskResult, TaskResult, ESLintReport, TaskMetaData, TaskConfig } from '@checkup/core';
interface FormattedEslintReport {
    errorCount: number;
    warningCount: number;
    errorList: {
        rule: string;
        failures: string;
    }[];
    warningList: {
        rule: string;
        failures: string;
    }[];
}
export default class EslintSummaryTaskResult extends BaseTaskResult implements TaskResult {
    esLintReport: ESLintReport;
    sortedEslintReport: FormattedEslintReport;
    constructor(meta: TaskMetaData, config: TaskConfig, esLintReport: ESLintReport);
    toConsole(): void;
    toJson(): {
        meta: TaskMetaData;
        result: {
            esLintReport: import("eslint").CLIEngine.LintReport;
        };
    };
}
export {};
//# sourceMappingURL=eslint-summary-task-result.d.ts.map